#include <iostream>
#include <string>
#include <slotsig/slotsig.h>
class clMySlot : public nsSlotSig::clSlot2<void, int, const std::string&>
{
  public:
    clMySlot() :
      nsSlotSig::clSlot2<void, int, const std::string&>()
    { }

    void operator() (int i, const std::string& str)
    { std::cout << "clMySlot::operator() (" << i << ", \"" << str << "\")\n" ; }

} ;

int main (int argc, char* argv[])
{
  nsSlotSig::clSig2<void, int, const std::string&> sig ;
  clMySlot slot ;
  sig.connect(&slot) ;
  sig.emit(10, "Hello !") ;
  return 0 ;
}
