#include <iostream>
#include <string>
#include <slotsig/slotsig.h>

class clMyClass : public nsSlotSig::clHasSlotsBase
{
  public:
    clMyClass() : nsSlotSig::clHasSlotsBase()
    { }

    void f(int i)
    { std::cout << "clMyClass::f(" << i << ")\n" ; }
} ;

int main (int argc, char* argv[])
{
  clMyClass my_class ;
  nsSlotSig::clSig1<void, int> sig ;
  sig.connect(&my_class, &clMyClass::f) ;
  sig.emit(10) ;
  return 0 ;
}
